<template name="UsersEditor">
  <div class="users-manager">
    <h1>Users</h1>
    <ul class="users-table">
      <li>
        <span>E-Mail</span>
        <span><span class="rotated-header">Admin</span></span>
        <span><span class="rotated-header">Manager</span></span>
        <span><span class="rotated-header">Commercial</span></span>
        <span><i class="fa fa-trash"></i></span>
      </li>
      {{#each users}}
        {{> UsersListItem}}
      {{/each}}
    </ul>
    <form data-action="create-employee">
      <p>
        <input type="email" name="email" placeholder="email" required>
        <input type="password" name="password" placeholder="password" required>
        <input type="submit" value="Add">
      </p>
    </form>
  </div>
</template>

<template name="UsersListItem">
  <li>
    <span>{{ email }}</span>
    <span><input type="checkbox" name="isAdmin" data-action="toggle-admin-role" checked="{{ isAdmin }}"></span>
    <span><input type="checkbox" name="isManager" data-action="toggle-manager-role" checked="{{ isManager }}"></span>
    <span><input type="checkbox" name="isCommercial" data-action="toggle-commercial-role" checked="{{ isCommercial }}"></span>
    <span><button type="button" name="remove" data-action="remove-employee">&times;</button></span>
  </li>
</template>
